Subject: bug#6534: Suggestion for character references in html-mode

From: Juri Linkov <[email-masked]>
Date: Wed, 02 Mar 2016 02:28:29 +0200

> Juri Linkov <[email-masked]> writes:
>
>>> In nxml-mode, numeric character references (such as &#160;) are
>>> displayed with the referred-to character following the reference. It
>>> would be nice if html-mode did the same. (The format of these
>>> references is the same in xml and html, so sharing code for this
>>> should be simple.)
>>
>> I think this functionality should be separated into a new package
>> because it's useful for character notations of other modes as well,
>> e.g. Emacs Lisp with #x, C with 0x, Perl with \x, etc.
>
> That does sound exceedingly useful...  Hm...  perhaps I should have a go
> at it unless this already exists somewhere?

When I looked at prior art the closest matches were the package rainbow-mode
from ELPA that displays colors by character codes, and prettify-symbols-mode
that transforms characters into alternative representation.  But doing this
using font-lock-keywords is so trivial, it was easier to just put a small
piece of code in ~/.emacs.